Loading...
Searching...
No Matches
BALL::TMutex< boost::mutex > Class Reference

`#include <BALL/SYSTEM/mutex.h>`

Inheritance diagram for BALL::TMutex< boost::mutex >:

## Public Member Functions

| TMutex ()
void | lock ()
bool | tryLock ()

## Detailed Description

Definition at line 152 of file mutex.h.

## Constructor & Destructor Documentation

## TMutex()

BALL::TMutex< boost::mutex >::TMutex | ( |  | ) |

inline

Definition at line 156 of file mutex.h.

## Member Function Documentation

## lock()

void BALL::TMutex< boost::mutex >::lock | ( |  | ) |

inline

Definition at line 160 of file mutex.h.

## tryLock()

bool BALL::TMutex< boost::mutex >::tryLock | ( |  | ) |

inline

Definition at line 165 of file mutex.h.